Subject: bug#30326: grep not searching through a text file (thinking it binary)

From: Paul Eggert <[email-masked]>
Date: Fri, 2 Feb 2018 15:19:36 -0800

On 02/02/2018 03:16 PM, L A Walsh wrote:
> It also used to be the default.

Single-byte locales also used to be the default. Times have changed, and 
things have gotten more complicated. We don't change default behavior 
for no reason, but we also don't keep the default the same even when the 
world has changed and another default behavior would typically be better.